Bug 823699 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'create' accesses on the directory g-ecx.images-amazon.com.
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'create' a...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:a61fa43a6d156686e5244578da3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 19:11 EDT by jimmy
Modified: 2012-10-17 05:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 05:00:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jimmy 2012-05-21 19:11:40 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.x86_64
time:           Mon 21 May 2012 05:20:34 PM CST

description:
:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'create' accesses on the directory g-ecx.images-amazon.com.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-container should be allowed create access on the g-ecx.images-amazon.com directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_t:s0
:Target Objects                g-ecx.images-amazon.com [ dir ]
:Source                        plugin-containe
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           xulrunner-12.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.x86_64 #1 SMP Mon May 7
:                              17:29:34 UTC 2012 x86_64 x86_64
:Alert Count                   5
:First Seen                    Sun 20 May 2012 10:27:57 PM CST
:Last Seen                     Mon 21 May 2012 03:22:48 PM CST
:Local ID                      e27ae5d2-6121-41b4-8fd5-71775b36bfe6
:
:Raw Audit Messages
:type=AVC msg=audit(1337635368.995:237): avc:  denied  { create } for  pid=2710 comm="plugin-containe" name="g-ecx.images-amazon.com" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1337635368.995:237): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=7f6931f12408 a1=1c0 a2=ffffffffffffff50 a3=652d672f41514250 items=0 ppid=2618 pid=2710 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=3 comm=plugin-containe exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: plugin-containe,mozilla_plugin_t,user_home_t,dir,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-05-22 05:18:32 EDT
Where is the g-ecx.images-amazon.com directory localted?
Comment 2 Daniel Walsh 2012-05-23 07:29:39 EDT
jimmy your homedir might be slightly mislabeled.

restorecon -R -v /home

Note You need to log in before you can comment on or make changes to this bug.